#####################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../standard.4gs/fg_error.4gl  1.1  Delta: 11/23/90
#####################################################################

globals "globals.4gl"

######################################################################
function fg_error(err_module, err_program, err_number)
######################################################################
# This is the older version of lib_error.  It does not have a
# technical message passed to it, so it passes a null one to lib_error.
# It is retained for backward compatibility.
#
    define
        err_module  char(8),    # module name
        err_program char(8),    # program name within the module
        err_number  smallint    # error number within the program

    # Trap fatal errors
    whenever error call error_handler

    call lib_error(err_module, err_program, err_number, "")

end function
# fg_error()
