#####################################################################
# Copyright (C) 1988,1989 FourGen Software Technologies, Inc.
# Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../standard.4gs/instr.4gl  1.1  Delta: 11/23/90
#####################################################################

#####################################################################
function instr(src,find_str)
# returning smallint (position of find_string within src)
#####################################################################
#
    define
        src         char(250),      # source string
        find_str    char(250),      # find string
        src_len     smallint,       # length of the source string
        find_len    smallint,       # length of the find string
        n           smallint        # temp variable

    # Trap fatal errors
    whenever error call error_handler

    let src_len  = length(src)
    let find_len = length(find_str)

    for n = 1 to (src_len - find_len + 1)
        if src[n,n+find_len-1] = find_str[1,find_len]
        then
            return n
        end if
    end for

    return 0    # find_str not found in src.
end function
# instr
