#####################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../standard.4gs/lib_err.4gl  1.1  Delta: 11/23/90
#####################################################################

globals "globals.4gl"

#####################################################################
function lib_err(err_number, tech_message)
#####################################################################
# This function provides a shortcut to lib_error().  It uses progid
# to determine the module and program name, and provides for a 
# technical message.
#
    define
        err_number  smallint,   # error number passed
        err_mod     char(8),    # error module
        err_prog    char(8),    # error program
        tech_message char(100)  # technical error message

    # Trap fatal errors
    whenever error call error_handler

    # Get the module and program from progid
    call get_mod() returning err_mod, err_prog

    # Pass control to the main error handling routine
    call lib_error(err_mod, err_prog, err_number, tech_message)

end function
# lib_err()
