######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../standard.4gs/minimum.4gl  1.1  Delta: 11/23/90
######################################################################

######################################################################
function minimum(val1,val2)
# returns the minimum of the 2 values
######################################################################
# This function is passed 2 floating point numbers in val1
# and val2.  The numbers are evaluated and if val1 is less
# than or equal to val2 then val1 is returned, otherwise
# val2 is returned.
#
    define
        val1 float,
        val2 float

    # Trap fatal errors
    whenever error call error_handler

    if val1 <= val2
      then return val1
      else return val2
    end if
end function
# minimum()
