########################################################################
# Copyright (C) 1988,1990
# Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../report.4gs/init.4gl  1.6  Last Delta: 1/14/91
########################################################################

########################################################################
function init()
########################################################################
#
    define
        db_name char(18), # string for database name from command line
        n smallint

    whenever error call error_handler
    call startlog("errlog")
    options input wrap
    options prompt line first + 1
    options form line first + 3
    call logo()

    # Check for the database name on the command line
    for n = 1 to num_args() - 1
        if arg_val(n) = "-d" or arg_val(n) = "-c"
        then
            let db_name = arg_val(n + 1)
            call put_scrlib("dbname",db_name)
            exit for
        end if
    end for

    # Open the correct database
    let db_name = get_scrlib("dbname")
    if db_name is not null and db_name != " "
    then
        database db_name
    end if

    # Set isolation level for online/turbo database
    if is_turbo()
    then
        set isolation to dirty read
    end if

end function
# init()
