########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../report.4gs/scr_lib.4gl  1.1  Delta: 12/12/90
########################################################################

globals "globals.4gl"

# NOTE:  This file is necessary for the accounting applications
# that use the st_init() function.  It isn't intended for generic
# reports.

# Local library variables (used for the get/put operations)
define
    dbname char(10)      # current database name

######################################################################
function put_scrlib(var,value)
######################################################################
# This function puts the specified value into the specified variable.
# The variables used here are "local" to the FourGen:Screen library,
# however, they can be accessed anywhere within the application.
#
    define
        var char(10),   # variable to assign
        value char(100) # value to assign that variable

    # Trap fatal errors
    whenever error call error_handler

    # Assign the appropriate variable with the contents of value
    case

      when var = "dbname" let dbname = value

    end case
    return
end function
# put_scrlib()

######################################################################
function get_scrlib(var)
# returning value
######################################################################
# This function gets the specified value from the local FourGen:Screen
# variable, and returns it to the calling function. 
#
    define
        var char(10)   # variable to return

    # Return the appropriate variable
    case

      when var = "dbname" return dbname

    end case
    return ""
end function
# get_scrlib()
