######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../standard.4gs/fg_fedit.4gl  1.1  Delta: 11/23/90
######################################################################

globals "globals.4gl"

######################################################################
function fg_fedit(p_function)
######################################################################
# This function is called when you wish to edit the file that
# contains the function passed as p_function.  At this time, it uses
# the 'tags' concept of vi, so it will only work with that editor.
#
    define
        p_function char(15)

    # Trap fatal errors
    whenever error call error_handler

    let scratch = "vi -t ", p_function
    call fg_os_exit(scratch[1,25],false)

end function
# fg_fedit()
