#####################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../standard.4gs/fg_help.4gl  1.1  Delta: 11/23/90
#####################################################################

globals "globals.4gl"

#####################################################################
function fg_help(hlp_num)
#####################################################################
# This is a shortcut into lib_help().  It parses progid to determine
# the hlp_mod and hlp_prog.
#
    define
        hlp_num     smallint,   # help number within the program
        hlp_mod     char(8),    # module name
        hlp_prog    char(8)     # program name within the module

    # Trap fatal errors
    whenever error call error_handler

    # Parse the module and program name from progid
    call get_mod() returning hlp_mod, hlp_prog

    # Pass those onto lib_help()
    call lib_help(hlp_mod, hlp_prog, hlp_num)
end function
# fg_help()
