#####################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../standard.4gs/get_mod.4gl  1.1  Delta: 11/23/90
#####################################################################

globals "globals.4gl"

##########################################################################
function get_mod()
# returns module and program name
##########################################################################
# This function parses the "progid" variable to get the module and 
# program name.
#
    define
        n smallint

    # Trap fatal errors
    whenever error call error_handler

    # Search for the period delimiter
    for n = 1 to 9
        if progid[n] = "."
          then return progid[1,n-1], progid[n+1,17]
        end if
    end for

    # Delimiter not found
    return "", progid
end function
