######################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../standard.4gs/win_size.4gl  1.1  Delta: 11/23/90
######################################################################

globals "globals.4gl"

######################################################################
function window_size()
######################################################################
# This function determines the size of the current window
# and sets the library variables "num_rows" and "num_cols"
# to their appropriate values.
#
    define
      numrows smallint,
      numcols smallint

    whenever error continue

    # Determine the number of columns...
    for numcols = 100 to 1 step -1
        let status = 0
        display "" at 1, numcols
        if status = 0 then exit for end if
    end for

    # Determine the number of rows...
    for numrows = 30 to 1 step -1
        let status = 0
        display "" at numrows, numcols
        if status = 0 then exit for end if
    end for

    whenever error call error_handler
    call put_scrlib("num_rows",numrows)
    call put_scrlib("num_cols",numcols)
    return
end function
# window_size()
